readXml {AffyCompatible} | R Documentation

## (Advanced) Read XML files of Affymetrix sample attriubtes or annotation

### Description

This functions reads the content of Affymetrix DTT (MAGE) or ARR sample files, or AffxNetAffxAnnotFile array annotation files, return an internal representation of the underlying XML. The return value can be used with `xclass` to rapidly create R objects representing deeply nested nodes of the document. The return value can also be used with `xpathApply` in the XML package for access to character-based representation of the data.

### Usage

    readXml(fl, ...)

### Arguments

`fl` | A length-1 character vector giving the full path to the file to be parsed.
`...` | Additional arguments, passed to `xmlTreeParse`.

### Value

An object of class `XMLInternalDocument`.

### Author(s)

Martin Morgan

### See Also

The vignettes `Retrieving MAGE and ARR sample attributes' and `Annotation retrieval with NetAffxResource' for detailed illustration of use.

`xclass` for instantiating objects from xpath queries.

### Examples

    mageDir <- system.file("extdata", "DTT", package="AffyCompatible")
    mageFiles <- list.files(mageDir, full=TRUE)
    xml <- readXml(mageFiles[[1]])
    xclass(xml, "//MeasuredBioAssay")[[1]]

[Package AffyCompatible version 1.4.0 Index]